<?php

defined( 'ABSPATH' ) || exit;

/**
 * Addon Name: Social Login
 * Addon URL: https://masteriyo.com/wordpress-lms/
 * Description: Social login via Facebook and Google adds a layer of convenience by allowing users to authenticate with their existing social media accounts, streamlining the login process.
 * Author: Masteriyo
 * Author URL: https://masteriyo.com
 * Version: 2.7.0
 * Addon Type: Feature
 * Plan: Basic,Starter,Pro,Elite,Growth,Scale
 */

use Masteriyo\Pro\Addons;
use Masteriyo\Addons\SocialLogin\SocialLoginAddon;

define( 'MASTERIYO_SOCIAL_LOGIN_ADDON_FILE', __FILE__ );
define( 'MASTERIYO_SOCIAL_LOGIN_ADDON_BASENAME', plugin_basename( __FILE__ ) );
define( 'MASTERIYO_SOCIAL_LOGIN_ADDON_DIR', __DIR__ );
define( 'MASTERIYO_SOCIAL_LOGIN_ASSETS', __DIR__ . '/assets' );
define( 'MASTERIYO_SOCIAL_LOGIN_TEMPLATES', __DIR__ . '/templates' );
define( 'MASTERIYO_SOCIAL_LOGIN_ADDON_SLUG', 'social-login' );




// Bail early if the addon is not active.
if ( ! ( ( new Addons() )->is_active( MASTERIYO_SOCIAL_LOGIN_ADDON_SLUG ) ) ) {
	return;
}

require_once __DIR__ . '/helper/social-login.php';

// Initialize wc integration addon.
SocialLoginAddon::instance()->init();
